/*
 * Copyright 2009-2012 forwardfire.net All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided
 * that the following conditions are met:
 * 
 * * Redistributions of source code must retain the above copyright notice, this list of conditions and the
 *   following disclaimer.
 * * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and
 *   the following disclaimer in the documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
 * THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package net.forwardfire.logstats.ejb.services;


import java.util.ArrayList;
import java.util.List;

import javax.ejb.EJB;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import net.forwardfire.logstats.ejb.jobs.UpdateIndexJob;
import net.forwardfire.logstats.ejb.models.LogData;

import net.forwardfire.vasc.xpql.ejb3.XpqlQueryManager;


/**
 * An simple ejb bean to get wiki pages
 * 
 * @author Willem Cazander
 * @version 1.0 9 Nov 2009
 */
@Stateless(name="ejb/serverManager")
public class ServerManager implements ServerManagerRemote {
    
	@EJB(beanInterface=XpqlQueryManager.ILocal.class)
    private XpqlQueryManager xtesManager;

    @PersistenceContext
	private EntityManager entityManager;
    
    public List<LogData> getRealTimeLogData() {
    	List<LogData> result = new ArrayList<LogData>(200);
		result.addAll(UpdateIndexJob.logDataRealtime);
		return result;
    }
    
    
    /*
	public ServerWikiPage getWikiPage(String name) {
		Map<String,Object> para = new HashMap<String,Object>(1);
		para.put("name_url", name);
		ServerWikiPage result = null;
		try {
			result = (ServerWikiPage)xtesManager.executeObject("ServerWikiPage.getByNameUrl", para);
		} catch (NoResultException ee) {
		} catch (Exception e) {
			e.printStackTrace();//TODO Auto-generated catch block
		}
		return result;
	}
	
	public List<ServerWikiPageHistory> getWikiPageHistory(Integer serverWikiPageId) {
		List<ServerWikiPageHistory> result = new ArrayList<ServerWikiPageHistory>(1);
		return result;
	}
    
    */
}
