
package net.forwardfire.logstats.jboss.log4j;

import org.jboss.system.ServiceMBean;

/**
 * Defines all configable options of the log service MBean
 * 
 * @author Willem Cazander
 * @version 1.0 Jun 09, 2010
 */
public interface DataSourceLogServiceMBean extends ServiceMBean {
	
	/**
	 * Resets the stats counters
	 */
	public void resetStatsCounters();
	
	/**
	 * @return the statsMessagesTotal
	 */
	public int getStatsMessagesTotal();

	/**
	 * @return the statsMessagesDropped
	 */
	public int getStatsMessagesDropped();
	
	/**
	 * @return the backendDataSource
	 */
	public String getBackendDataSource();
	
	/**
	 * @param backendDataSource the backendDataSource to set
	 */
	public void setBackendDataSource(String backendDataSource);

	/**
	 * @return the backendLogQuery
	 */
	public String getBackendLogQuery();

	/**
	 * @param backendLogQuery the backendLogQuery to set
	 */
	public void setBackendLogQuery(String backendLogQuery);
	
	/**
	 * @return the backendLogQueryParameters
	 */
	public String getBackendLogQueryParameters();

	/**
	 * @param backendLogQueryParameters the backendLogQueryParameters to set
	 */
	public void setBackendLogQueryParameters(String backendLogQueryParameters);

	/**
	 * @return the backendHostname
	 */
	public String getBackendHostname();

	/**
	 * @param backendHostname the backendHostname to set
	 */
	public void setBackendHostname(String backendHostname);
	
	/**
	 * @return the backendKeepAliveTimeout
	 */
	public int getBackendKeepAliveTimeout();

	/**
	 * @param backendKeepAliveTimeout the backendKeepAliveTimeout to set
	 */
	public void setBackendKeepAliveTimeout(int backendKeepAliveTimeout);

	/**
	 * @return the backendKeepAliveQuery
	 */
	public String getBackendKeepAliveQuery();

	/**
	 * @param backendKeepAliveQuery the backendKeepAliveQuery to set
	 */
	public void setBackendKeepAliveQuery(String backendKeepAliveQuery);

	/**
	 * @return the backendThreads
	 */
	public int getBackendThreads();

	/**
	 * @param backendThreads the backendThreads to set
	 */
	public void setBackendThreads(int backendThreads);

	/**
	 * @return the backendMaxQueueSize
	 */
	public int getBackendMaxQueueSize();

	/**
	 * @param backendMaxQueueSize the backendMaxQueueSize to set
	 */
	public void setBackendMaxQueueSize(int backendMaxQueueSize);

	/**
	 * @return the backendIdleMarkerTime
	 */
	public int getBackendIdleMarkerTime();

	/**
	 * @param backendIdleMarkerTime the backendIdleMarkerTime to set
	 */
	public void setBackendIdleMarkerTime(int backendIdleMarkerTime);

	/**
	 * @return the backendIdleMarkerMessage
	 */
	public String getBackendIdleMarkerMessage();

	/**
	 * @param backendIdleMarkerMessage the backendIdleMarkerMessage to set
	 */
	public void setBackendIdleMarkerMessage(String backendIdleMarkerMessage);

	/**
	 * @return the backendStatisticsLog
	 */
	public boolean isBackendStatisticsLog();

	/**
	 * @param backendStatisticsLog the backendStatisticsLog to set
	 */
	public void setBackendStatisticsLog(boolean backendStatisticsLog);

	/**
	 * @return the backendStatisticsLogTime
	 */
	public int getBackendStatisticsLogTime();

	/**
	 * @param backendStatisticsLogTime the backendStatisticsLogTime to set
	 */
	public void setBackendStatisticsLogTime(int backendStatisticsLogTime);

	/**
	 * @return the log4jParseConfigResource
	 */
	public String getLog4jParseConfigResource();

	/**
	 * @param log4jParseConfigResource the log4jParseConfigResource to set
	 */
	public void setLog4jParseConfigResource(String log4jParseConfigResource);

	/**
	 * @return the log4jAppenderName
	 */
	public String getLog4jAppenderName();

	/**
	 * @param log4jAppenderName the log4jAppenderName to set
	 */
	public void setLog4jAppenderName(String log4jAppenderName);

	/**
	 * @return the log4jAppenderAutoAdd
	 */
	public boolean isLog4jAppenderAutoAdd();

	/**
	 * @param log4jAppenderAutoAdd the log4jAppenderAutoAdd to set
	 */
	public void setLog4jAppenderAutoAdd(boolean log4jAppenderAutoAdd);

	/**
	 * @return the log4jAppenderAutoAddOnlyOnceError
	 */
	public boolean isLog4jAppenderAutoAddOnlyOnceError();

	/**
	 * @param log4jAppenderAutoAddOnlyOnceError the log4jAppenderAutoAddOnlyOnceError to set
	 */
	public void setLog4jAppenderAutoAddOnlyOnceError(boolean log4jAppenderAutoAddOnlyOnceError);

	/**
	 * @return the log4jAppenderToRoot
	 */
	public boolean isLog4jAppenderToRoot();

	/**
	 * @param log4jAppenderToRoot the log4jAppenderToRoot to set
	 */
	public void setLog4jAppenderToRoot(boolean log4jAppenderToRoot);
}
