/*
 * Copyright 2009-2012 forwardfire.net All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided
 * that the following conditions are met:
 * 
 * * Redistributions of source code must retain the above copyright notice, this list of conditions and the
 *   following disclaimer.
 * * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and
 *   the following disclaimer in the documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
 * THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package net.forwardfire.logstats.web.beans;

import java.io.Serializable;
import java.util.List;

import javax.ejb.EJB;

import net.forwardfire.logstats.ejb.models.LogRightRole;
import net.forwardfire.logstats.ejb.models.LogUser;
import net.forwardfire.logstats.ejb.services.LoginManagerRemote;

/**
 * 
 * @author Willem Cazander
 * @version 1.0 Nov 1, 2009
 */
public class UserController implements Serializable {

	private static final long serialVersionUID = 1L;
	private LogUser logUser = null;
	private List<LogRightRole> logRightRoles = null;
	
	@EJB()
	LoginManagerRemote loginManager;
	
	public void loginFilter() {
		try {
			logUser = loginManager.getUser();
			logRightRoles = loginManager.getClientRoles();
		} catch (Exception e) {
			throw new RuntimeException(e);
		}
	}
	
	public void logoutFilter() {
		logUser = null;
		logRightRoles = null;
	}
	
	public boolean isUserLoggedin() {
		if (logUser==null) {
			return false;
		}
		return true;
	}
	
	public LogUser getUser() {
		return logUser;
	}
	
	public List<LogRightRole> getRightRoles() {
		return logRightRoles;
	}
}