/*
 * Copyright 2009-2012 forwardfire.net All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided
 * that the following conditions are met:
 * 
 * * Redistributions of source code must retain the above copyright notice, this list of conditions and the
 *   following disclaimer.
 * * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and
 *   the following disclaimer in the documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
 * THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package net.forwardfire.logstats.web.beans;

import java.util.ArrayList;
import java.util.List;

import net.forwardfire.vasc.core.VascController;
import net.forwardfire.vasc.frontends.web.jsf.AbstractJSFVascFacesController;


/**
 * 
 * @author Willem Cazander
 * @version 1.0 Nov 1, 2009
 */
public class VascFacesController extends AbstractJSFVascFacesController  {
	
	public String getVascSericeManagerJNDI() {
		return "logstats-jboss/ejb/vascSericeManager/remote";
	}
	public String getResourceBundleWEB() {
		return "net/forwardfire/logstats/resources/i18n/LogstatsBundleWAR";
	}
	public boolean getDisableI18N() {
		return false;
	}
	public VascUserInfo getVascUserInfo() {
		VascUserInfo vui = new VascUserInfo(new Long(34l),"s", new String[] {"rol1"});
		return vui;
	}
	public List<String> getVascAdminEntries() {
		List<String> result = new ArrayList<String>(50);
		VascController v = getVascController();
		for (String e:v.getVascEntryController().getVascEntryIds()) {
			if (e.endsWith("Link")==false) {
				result.add(e);
			}
		}
		return result;
	}
}